package net.wanji.opt.service;

import net.wanji.common.dto.CrossIdDTO;
import net.wanji.opt.dto.DiagnoCrossListDTO;
import net.wanji.opt.dto.strategy.AddOrUpdateSceneDTO;
import net.wanji.opt.vo.CrossIdAndLocationVO;
import net.wanji.opt.vo.DiagnoCrossVO;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2023/3/2 10:09
 */
public interface DiagnoService {
    List<DiagnoCrossVO> diagnoCrossList(DiagnoCrossListDTO diagnoCrossListDTO);

    AddOrUpdateSceneDTO queryCrossScene(CrossIdDTO crossIdDTO);

    List<CrossIdAndLocationVO> queryNeighborCross(CrossIdDTO crossIdDTO);
}
